> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useanima.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phonesearch



## OpenAPI

````yaml /openapi.json get /phone/search
openapi: 3.1.1
info:
  title: Anima API
  version: 0.1.0
  description: >-
    The Anima API provides programmatic access to unified infrastructure for AI
    agents: create and manage agents; send and receive email; place phone calls
    and send/receive SMS and voice; store and retrieve vault credentials; manage
    agent identity; and configure webhooks for real-time events. Authenticate
    using a Bearer token or an API key passed via the X-API-Key header.
  contact:
    name: Anima Labs
    url: https://useanima.sh
    email: support@useanima.sh
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.useanima.sh/v1
    description: Production
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /phone/search:
    get:
      operationId: phone.search
      parameters:
        - name: countryCode
          in: query
          schema:
            default: US
            type: string
            pattern: ^[A-Za-z]{2}$
            description: ISO 3166-1 alpha-2 country code to search in
          allowEmptyValue: true
          allowReserved: true
        - name: numberType
          in: query
          schema:
            enum:
              - local
              - mobile
              - national
              - toll_free
              - shared_cost
            type: string
            description: Phone number type to search for (treated as local when omitted)
          allowEmptyValue: true
          allowReserved: true
        - name: areaCode
          in: query
          schema:
            type: string
            description: Filter results to a specific area code
          allowEmptyValue: true
          allowReserved: true
        - name: capabilities
          in: query
          schema:
            type: array
            items:
              enum:
                - sms
                - mms
                - voice
              type: string
              description: Communication capability type
            maxItems: 50
            description: Required capabilities for the phone numbers
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          schema:
            default: 10
            type: integer
            minimum: 1
            maximum: 50
            description: Maximum number of results to return
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        phoneNumber:
                          type: string
                          description: >-
                            E.164 formatted phone number available for
                            provisioning
                        region:
                          type: string
                          description: Geographic region or state of the phone number
                        capabilities:
                          type: object
                          properties:
                            sms:
                              type: boolean
                              description: Whether the number supports SMS messaging
                            mms:
                              type: boolean
                              description: Whether the number supports MMS messaging
                            voice:
                              type: boolean
                              description: Whether the number supports voice calls
                          required:
                            - sms
                            - mms
                            - voice
                          description: Communication capabilities supported by this number
                        monthlyCost:
                          type: number
                          description: Monthly cost in USD for this phone number
                        regulatory:
                          type: object
                          properties:
                            tier:
                              enum:
                                - NONE
                                - ADDRESS
                                - IDENTITY
                                - DOCS
                                - UNSUPPORTED
                              type: string
                              description: >-
                                Provisioning requirement tier: NONE = order
                                instantly, ADDRESS = local address required,
                                IDENTITY = identity details required, DOCS =
                                document upload required, UNSUPPORTED = provider
                                does not sell this combination
                            approvedBundleId:
                              type: string
                              description: >-
                                The org's approved regulatory bundle satisfying
                                this combination, when one exists
                          required:
                            - tier
                          description: >-
                            Regulatory context for ordering this number — what
                            ordering will require. Omitted only when requirement
                            discovery is temporarily unavailable
                      required:
                        - phoneNumber
                        - capabilities
                      description: Available phone number with capabilities and pricing
                    description: >-
                      Array of available phone numbers matching the search
                      criteria
                required:
                  - items
                description: Search results for available phone numbers
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Bearer token obtained from authentication. Pass as: Authorization:
        Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key for programmatic access. Pass as: X-API-Key: <your-key>'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.